#!/home/saturnero/gufinforma/eggdrop
#GENERAL INFO
set nick "gufiNforma"
set username "gufinforma"
set realname "Gufi Faq-Log service"
set admin "SaturNero <email: saturnero@gufi.org>"
set owner "SaturNero"
#FILES
set userfile "gufinforma.user"
set chanfile "gufinforma.chan"
set pidfile "pid.gufinforma"
set help-path "help/"
set text-path "text/"
set temp-path "/tmp"
set motd "text/motd"
set userfile-perm 0600

set my-hostname "civetta.gufi.org"
set my-ip "193.27.203.173"

#DCC/TELNET
set protect-telnet 0
listen 60100 all

#TIME
set timezone "CET"
set offset "-1"

#LOG
set max-logsize 9
logfile mco * "logs/gufinforma.log"
logfile jpk #freebsd-it "logs/freebsd.it.log"
logfile jpk #gufi "logs/gufi.log"
logfile jpk #freebsd "logs/freebsd.log"
logfile jpk #freesbie "logs/freesbie.log"


set log-time 1
set keep-all-logs 1
set logfile-suffix ".%Y%m%d"
set quiet-save 0

#CONSOLE
set console "mkcoxs"
set dcc-flood-thr 0

#MODULES
set mod-path "modules/"

loadmodule channels
set chan-file "gufinforma.chan"
set global-flood-chan 0:0
set global-flood-deop 0:0
set global-flood-kick 0:0
set global-flood-join 0:0
set global-flood-ctcp 0:0
set global-flood-nick 0:0
set global-aop-delay 0:0
set global-idle-kick 0
set global-chanmode "nt"
set global-stopnethack-mode 0
set global-revenge-mode 1
set global-chanset {
        -autoop         -autovoice
        -bitch          +cycle
        +dontkickops    -dynamicbans
        +dynamicexempts -dynamicinvites
        -enforcebans    -greet
        -inactive       -nodesynch
        -protectfriends -protectops
        -revenge        -revengebot
        -secret         -seen
        -shared         +statuslog
        -userbans       -userexempts
        -userinvites
}

loadmodule server
set net-type 3
bind evnt - init-server evnt:init_server
  
proc evnt:init_server {type} {
  global botnick
  putquick "NS IDENTIFY pacciani"
  putquick "MODE $botnick +i-x"
}


set servers { 
  irc.azzurra.org:6667 
}

loadmodule dns
loadmodule ctcp
loadmodule irc
loadmodule blowfish

source scripts/alltools.tcl
source scripts/action.fix.tcl


#LOGZIPPER
source scripts/logzipper.tcl

#TCL
source scripts/tips.tcl
source scripts/google.tcl
source scripts/freebsd.tcl
source scripts/gufi.tcl
source scripts/guadda.tcl
source scripts/peak1.5.tcl
source scripts/help.tcl
source scripts/acronimo.tcl
source scripts/italiano.tcl

#STATS
source stats.conf

loadmodule console
loadmodule filesys

set files-path /home/saturnero/gufinforma/
set incoming-path /home/saturnero/gufinforma/scripts/

